Last Comment Bug 837068 - marionette runtests.py not working with "--profile" option
: marionette runtests.py not working with "--profile" option
Status: RESOLVED FIXED
:
Product: Testing
Classification: Components
Component: Marionette (show other bugs)
: 21 Branch
: All All
: -- normal (vote)
: mozilla22
Assigned To: Olivier Morandi
:
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-02-01 02:14 PST by Olivier Morandi
Modified: 2013-05-02 12:41 PDT (History)
4 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
fixed
fixed
wontfix
fixed


Attachments
Fix for profile argument in geckoinstance.py (928 bytes, patch)
2013-02-01 02:39 PST, Olivier Morandi
dburns: review+
Details | Diff | Splinter Review

Description Olivier Morandi 2013-02-01 02:14:17 PST
Executing Firefox marionette tests (from mozilla-central/testing/marionette/client/marionette)

python runtests.py --binary=/path/to/firefox-bin --profile=/path/to/custom-profile tests

produces the following exception:

Traceback (most recent call last):
  File "runtests.py", line 716, in <module>
    cli()
  File "runtests.py", line 711, in cli
    runner = startTestRunner(runner_class, options, tests)
  File "runtests.py", line 706, in startTestRunner
    runner.run_tests(tests, testtype=options.type)
  File "runtests.py", line 349, in run_tests
    self.run_test(test, testtype)
  File "runtests.py", line 380, in run_test
    self.start_marionette()
  File "runtests.py", line 275, in start_marionette
    baseurl=self.baseurl)
  File "/Users/olivier/Code/mozilla/marionette/marionette/marionette.py", line 120, in __init__
    self.instance.start()
  File "/Users/olivier/Code/mozilla/marionette/marionette/geckoinstance.py", line 28, in start
    self.runner = Runner.create(binary=self.bin, profile_args=profile, cmdargs=['-no-remote'])
  File "/usr/local/Cellar/python/2.7.2/lib/python2.7/site-packages/mozrunner-5.2-py2.7.egg/mozrunner/runner.py", line 69, in create
    profile = cls.profile_class(**(profile_args or {}))
TypeError: type object argument after ** must be a mapping, not str
Comment 1 Olivier Morandi 2013-02-01 02:39:28 PST
Created attachment 708993 [details] [diff] [review]
Fix for profile argument in geckoinstance.py
Comment 2 David Burns :automatedtester 2013-03-05 14:59:36 PST
Comment on attachment 708993 [details] [diff] [review]
Fix for profile argument in geckoinstance.py

Sorry for taking so long with this. This change looks good.

Can you land this or would you like me to?
Comment 3 Olivier Morandi 2013-03-06 04:39:58 PST
Thanks for the review. Could you help me with the process of getting this into the tree?
Comment 4 David Burns :automatedtester 2013-03-06 06:50:29 PST
Landed in https://hg.mozilla.org/integration/mozilla-inbound/rev/c55ce1a65e1d
Comment 5 Ryan VanderMeulen [:RyanVM] 2013-03-07 09:57:28 PST
https://hg.mozilla.org/mozilla-central/rev/c55ce1a65e1d
Comment 6 Malini Das [:mdas] - Away, not checking bugmail 2013-04-02 11:45:25 PDT
https://hg.mozilla.org/releases/mozilla-b2g18/pushloghtml?changeset=71f7f42dee13
Comment 7 Jonathan Griffin (:jgriffin) 2013-05-02 12:41:56 PDT
https://hg.mozilla.org/releases/mozilla-b2g18_v1_0_1/rev/b98569c7a233

Note You need to log in before you can comment on or make changes to this bug.